﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using WpfTestingSample.Model;

namespace WpfTestingSample.ViewModel
{
    public class SampleViewModel : INotifyPropertyChanged
    {
        public SampleViewModel()
        {
            GridDataSource = new DataItemDetails1();
        }

        private ObservableCollection<DataItem> gridDataSource;
        public ObservableCollection<DataItem> GridDataSource
        {
            get { return gridDataSource; }
            set
            {
                if (gridDataSource != value)
                {
                    gridDataSource = value;
                    RaisePropertyChange("GridDataSource");
                }
            }
        }

        public void ReloadData()
        {
            GridDataSource = new DataItemDetails2();
        }

        public event PropertyChangedEventHandler PropertyChanged;


        public void RaisePropertyChange(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
